Bug 3585 - [UPDATE REQUEST] [UPSTREAM UPDATE] spice-server
: [UPDATE REQUEST] [UPSTREAM UPDATE] spice-server
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 15:43 MSK by Andrew Lukoshko
Modified: 2014-01-21 18:58 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-13 15:43:48 MSK
Previously, the SPICE server assumed that the client was connected until they got disconnected. When the SPICE client became unresponsive, the server continued trying to communicate with it. Consequently, queues (such as driver commands ring) filled up, and the guest display driver continued waiting. With this update, the SPICE server monitors if the client is responsive, and disconnects if it is not.

http://rhn.redhat.com/errata/RHBA-2013-1819.html

x86_64 only:
https://abf.rosalinux.ru/build_lists/1513333
Comment 1 Vladimir Potapov 2014-01-15 17:29:26 MSK
spice-server-0.12.4-6.res6.1
********************** RHEL Advisory **********************
Previously, the SPICE server assumed that the client was connected until they got disconnected. When the SPICE client became unresponsive, the server continued trying to communicate with it. Consequently, queues (such as driver commands ring) filled up, and the guest display driver continued waiting. With this update, the SPICE server monitors if the client is responsive, and disconnects if it is not.
************************************************************
QA Verified